Bug 631767 - kdm shutdown menu lacks focus, keyboard control
Summary: kdm shutdown menu lacks focus, keyboard control
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-workspace
Version: 19
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 643409 651834 696090 731936 (view as bug list)
Depends On:
Blocks: qt47 731936
TreeView+ depends on / blocked
 
Reported: 2010-09-08 10:52 UTC by Michal Hlavinka
Modified: 2014-06-23 11:42 UTC (History)
16 users (show)

Fixed In Version: kde-settings-20-7.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-13 01:59:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 234362 None None None Never
KDE Software Compilation 268988 None None None Never

Description Michal Hlavinka 2010-09-08 10:52:49 UTC
Description of problem:
When trying to shutdown computer using only keyboard first steps works, but last one does not 


Version-Release number of selected component (if applicable):
kdebase-workspace-4.5.1-2.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1.boot to kdm
2.alt-m for menu
3.s for shutdown
4.t for "turn off" OR r for "restart" OR tab for navigation


Actual results:
nothing works

Expected results:
navigation and shortcuts working

Additional info:
when doing alt-s instead of alt-m, s it works as expected, but when using alt-s if there is active console login it asks for confirmation where keyboard does not work again

also alt-m, n for console login does not work, but alt-does

seems only first dialog works and following dialogs does not

Comment 1 Andrei ILIE 2010-11-12 10:01:21 UTC
*** Bug 651834 has been marked as a duplicate of this bug. ***

Comment 2 Kevin Kofler 2010-11-12 15:50:47 UTC
*** Bug 643409 has been marked as a duplicate of this bug. ***

Comment 3 Rex Dieter 2010-11-12 16:33:30 UTC
OK, let's pull some data over from bug #643409

This upstream ml thread may be relevant,
http://lists.kde.org/?t=128708520600001&r=1&w=2

talks about xorg-server >= 1.9.0 + qt47 = loss of focus sometimes, which seems
to fit the symptoms here.

though I'm able to reproduce on f13 with xorg-x11-server-Xorg-1.8.2, but with qt47, qt-4.6.x is fine, so I'll add this to our qt47 tracker.

Comment 4 Kevin Kofler 2011-04-04 00:45:14 UTC
Is this still reproducible?

Comment 5 Michal Hlavinka 2011-04-04 09:41:34 UTC
(In reply to comment #4)
> Is this still reproducible?

yes, tested with updated F15

Comment 6 Rex Dieter 2011-04-13 15:38:50 UTC
*** Bug 696090 has been marked as a duplicate of this bug. ***

Comment 7 Oswald Buddenhagen 2011-05-14 09:26:55 UTC
upstream task at https://bugs.kde.org/show_bug.cgi?id=268988

Comment 8 Oswald Buddenhagen 2011-05-14 09:32:17 UTC
hmm, this sounds more like https://bugs.kde.org/show_bug.cgi?id=234362, in fact.

Comment 9 Rex Dieter 2011-06-03 18:29:43 UTC
bumped to f15, can reproduce there, but...

some good news, was testing out qt-4.8.0-tp1 today, and woo, this bug seems gone.

Comment 10 Rex Dieter 2011-06-03 18:31:09 UTC
False alarm, it still doesn't work. :(

Comment 11 Rex Dieter 2011-08-19 12:34:02 UTC
*** Bug 731936 has been marked as a duplicate of this bug. ***

Comment 12 Rex Dieter 2012-01-31 13:18:52 UTC
Carrying forward to rawhide, still present. :(

Comment 13 Rex Dieter 2012-01-31 13:19:23 UTC
*** Bug 731936 has been marked as a duplicate of this bug. ***

Comment 14 Rex Dieter 2012-02-13 14:28:05 UTC
found a workaround hint in a kubuntu/launchpad bug today, adding to /etc/kde/kdm/kdmrc either:
GrabInput=Always
or
GrabServer=true

seems to address the issue of lack-of-focus on the shutdown menu.  

I'm currently testing 
GrabInput=Always
a little more (seems to be a slightly safer option?), to see if there are any noticeable side-effects.

Comment 15 Rex Dieter 2012-02-13 17:36:10 UTC
So, definitely watch out for
GrabServer=true
seems to have adverse side-effects on compositing performance (see bug #790099)

So, let's not consider that an option here.  GrabInput=Always seems ok so far in initial testing.

Comment 16 Rex Dieter 2012-02-13 18:03:15 UTC
Ossi, do you have any insights as to 
1. why GrabInput=Always (and GrabServer=true) helps workaround the problem and/or if it gives a hint how to address this without the Grab* workarounds.
2. any adverse side-effects of using GrabInput=Always (besides those already mentioned in kdmrc:
# Whether to grab keyboard and mouse while the greeter is visible. Grabs
# may improve security, but make on-screen keyboards, etc. unusable.
# "Never" - never grab
# "IfNoAuth" - grab if the display requires no X authorization
# "Always" - always grab

Comment 17 Oswald Buddenhagen 2012-02-14 08:11:00 UTC
when grabbing is disabled, the normal x focus handling kicks in. i neglected to handle that, so under certain conditions it simply doesn't work.

Comment 18 Fedora Update System 2012-03-08 17:45:03 UTC
akonadi-1.7.1-1.fc16,analitza-4.8.1-1.fc16,ark-4.8.1-1.fc16,blinken-4.8.1-1.fc16,cantor-4.8.1-1.fc16,digikam-2.5.0-3.fc16,filelight-4.8.1-1.fc16,gwenview-4.8.1-1.fc16,jovie-4.8.1-1.fc16,kaccessible-4.8.1-1.fc16,kactivities-4.8.1-1.fc16,kalgebra-4.8.1-1.fc16,kalzium-4.8.1-1.fc16,kamera-4.8.1-1.fc16,kanagram-4.8.1-1.fc16,kate-4.8.1-1.fc16,kbruch-4.8.1-1.fc16,kcalc-4.8.1-1.fc16,kcharselect-4.8.1-1.fc16,kcolorchooser-4.8.1-1.fc16,kde-baseapps-4.8.1-1.fc16,kde-l10n-4.8.1-2.fc16,kde-printer-applet-4.8.1-1.fc16,kde-runtime-4.8.1-1.fc16,kde-wallpapers-4.8.1-1.fc16,kde-workspace-4.8.1-1.fc16,kdeaccessibility-4.8.1-1.fc16,kdeadmin-4.8.1-1.fc16,kdeartwork-4.8.1-1.fc16,kdebindings-4.8.1-1.fc16,kdeedu-4.8.1-1.fc16,kdegames-4.8.1-1.fc16,kdegraphics-4.8.1-1.fc16,kdegraphics-mobipocket-4.8.1-1.fc16,kdegraphics-strigi-analyzer-4.8.1-1.fc16,kdegraphics-thumbnailers-4.8.1-1.fc16,kdelibs-4.8.1-1.fc16,kdemultimedia-4.8.1-1.fc16,kdenetwork-4.8.1-1.fc16.1,kdepim-4.8.1-2.fc16,kdepim-runtime-4.8.1-1.fc16,kdepimlibs-4.8.1-1.fc16,kdeplasma-addons-4.8.1-1.fc16,kdesdk-4.8.1-1.fc16,kdetoys-4.8.1-1.fc16,kdeutils-4.8.1-1.fc16,kdevelop-4.2.3-5.fc16,kdf-4.8.1-1.fc16,kfloppy-4.8.1-1.fc16,kgamma-4.8.1-1.fc16,kgeography-4.8.1-1.fc16,kgpg-4.8.1-1.fc16,khangman-4.8.1-1.fc16,kig-4.8.1-1.fc16,kimono-4.8.1-1.fc16,kiten-4.8.1-1.fc16,klettres-4.8.1-1.fc16,kmag-4.8.1-1.fc16,kmousetool-4.8.1-1.fc16,kmouth-4.8.1-1.fc16,kmplot-4.8.1-1.fc16,kolourpaint-4.8.1-1.fc16,konsole-4.8.1-1.fc16,kremotecontrol-4.8.1-1.fc16,kross-interpreters-4.8.1-1.fc16,kruler-4.8.1-1.fc16,ksaneplugin-4.8.1-1.fc16,ksecrets-4.8.1-1.fc16,ksnapshot-4.8.1-1.fc16,kstars-4.8.1-1.fc16,ktimer-4.8.1-1.fc16,ktorrent-4.2.0-1.fc16,ktouch-4.8.1-1.fc16,kturtle-4.8.1-1.fc16,kwallet-4.8.1-1.fc16,kwordquiz-4.8.1-1.fc16,libkdcraw-4.8.1-1.fc16,libkdeedu-4.8.1-1.fc16,libkexiv2-4.8.1-1.fc16,libkipi-4.8.1-1.fc16,libksane-4.8.1-1.fc16,libktorrent-1.2.0-1.fc16,marble-4.8.1-1.fc16,okular-4.8.1-1.fc16,oxygen-gtk-1.2.0-2.fc16,oxygen-gtk2-1.2.1-1.fc16,oxygen-icon-theme-4.8.1-1.fc16,parley-4.8.1-1.fc16,pykde4-4.8.1-1.fc16,qyoto-4.8.1-1.fc16,rocs-4.8.1-1.fc16,ruby-korundum-4.8.1-1.fc16,ruby-qt-4.8.1-1.fc16,smokegen-4.8.1-1.fc16,smokekde-4.8.1-1.fc16,smokeqt-4.8.1-1.fc16,step-4.8.1-1.fc16,superkaramba-4.8.1-1.fc16,svgpart-4.8.1-1.fc16,sweeper-4.8.1-1.fc16,xsettings-kde-0.12.3-2.fc16.1 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/akonadi-1.7.1-1.fc16,analitza-4.8.1-1.fc16,ark-4.8.1-1.fc16,blinken-4.8.1-1.fc16,cantor-4.8.1-1.fc16,digikam-2.5.0-3.fc16,filelight-4.8.1-1.fc16,gwenview-4.8.1-1.fc16,jovie-4.8.1-1.fc16,kaccessible-4.8.1-1.fc16,kactivities-4.8.1-1.fc16,kalgebra-4.8.1-1.fc16,kalzium-4.8.1-1.fc16,kamera-4.8.1-1.fc16,kanagram-4.8.1-1.fc16,kate-4.8.1-1.fc16,kbruch-4.8.1-1.fc16,kcalc-4.8.1-1.fc16,kcharselect-4.8.1-1.fc16,kcolorchooser-4.8.1-1.fc16,kde-baseapps-4.8.1-1.fc16,kde-l10n-4.8.1-2.fc16,kde-printer-applet-4.8.1-1.fc16,kde-runtime-4.8.1-1.fc16,kde-wallpapers-4.8.1-1.fc16,kde-workspace-4.8.1-1.fc16,kdeaccessibility-4.8.1-1.fc16,kdeadmin-4.8.1-1.fc16,kdeartwork-4.8.1-1.fc16,kdebindings-4.8.1-1.fc16,kdeedu-4.8.1-1.fc16,kdegames-4.8.1-1.fc16,kdegraphics-4.8.1-1.fc16,kdegraphics-mobipocket-4.8.1-1.fc16,kdegraphics-strigi-analyzer-4.8.1-1.fc16,kdegraphics-thumbnailers-4.8.1-1.fc16,kdelibs-4.8.1-1.fc16,kdemultimedia-4.8.1-1.fc16,kdenetwork-4.8.1-1.fc16.1,kdepim-4.8.1-2.fc16,kdepim-runtime-4.8.1-1.fc16,kdepimlibs-4.8.1-1.fc16,kdeplasma-addons-4.8.1-1.fc16,kdesdk-4.8.1-1.fc16,kdetoys-4.8.1-1.fc16,kdeutils-4.8.1-1.fc16,kdevelop-4.2.3-5.fc16,kdf-4.8.1-1.fc16,kfloppy-4.8.1-1.fc16,kgamma-4.8.1-1.fc16,kgeography-4.8.1-1.fc16,kgpg-4.8.1-1.fc16,khangman-4.8.1-1.fc16,kig-4.8.1-1.fc16,kimono-4.8.1-1.fc16,kiten-4.8.1-1.fc16,klettres-4.8.1-1.fc16,kmag-4.8.1-1.fc16,kmousetool-4.8.1-1.fc16,kmouth-4.8.1-1.fc16,kmplot-4.8.1-1.fc16,kolourpaint-4.8.1-1.fc16,konsole-4.8.1-1.fc16,kremotecontrol-4.8.1-1.fc16,kross-interpreters-4.8.1-1.fc16,kruler-4.8.1-1.fc16,ksaneplugin-4.8.1-1.fc16,ksecrets-4.8.1-1.fc16,ksnapshot-4.8.1-1.fc16,kstars-4.8.1-1.fc16,ktimer-4.8.1-1.fc16,ktorrent-4.2.0-1.fc16,ktouch-4.8.1-1.fc16,kturtle-4.8.1-1.fc16,kwallet-4.8.1-1.fc16,kwordquiz-4.8.1-1.fc16,libkdcraw-4.8.1-1.fc16,libkdeedu-4.8.1-1.fc16,libkexiv2-4.8.1-1.fc16,libkipi-4.8.1-1.fc16,libksane-4.8.1-1.fc16,libktorrent-1.2.0-1.fc16,marble-4.8.1-1.fc16,okular-4.8.1-1.fc16,oxygen-gtk-1.2.0-2.fc16,oxygen-gtk2-1.2.1-1.fc16,oxygen-icon-theme-4.8.1-1.fc16,parley-4.8.1-1.fc16,pykde4-4.8.1-1.fc16,qyoto-4.8.1-1.fc16,rocs-4.8.1-1.fc16,ruby-korundum-4.8.1-1.fc16,ruby-qt-4.8.1-1.fc16,smokegen-4.8.1-1.fc16,smokekde-4.8.1-1.fc16,smokeqt-4.8.1-1.fc16,step-4.8.1-1.fc16,superkaramba-4.8.1-1.fc16,svgpart-4.8.1-1.fc16,sweeper-4.8.1-1.fc16,xsettings-kde-0.12.3-2.fc16.1

Comment 19 Orion Poplawski 2012-05-25 19:58:46 UTC
I'm seeing this is F17 with kdm-4.8.3-3.fc17.i686

# grep -F Grab /etc/kde/kdm/kdmrc
#GrabServer=true
#GrabTimeout=3

Comment 20 Lukáš Tinkl 2012-10-17 11:30:38 UTC
Does this still happen with 4.9.x?

Comment 21 Dr. Tilmann Bubeck 2012-10-17 12:15:37 UTC
The bug is not reproducible with kdm-4.9.2-3.fc17.x86_64 and no special settings in /etc/kde/kdm/kdmrc.

1. Boot to KDM
2. ALT+m shows Menu
3. "s" shows shutdown question

-or-

1. Boot to KDM
2. ALT+s shows shutdown question

So I would close this bug as resolved.

Comment 22 Rex Dieter 2012-10-17 12:50:21 UTC
The dialog that doesn't work is the one *after* step 3 which says "shutdown", "restart", or "cancel" (or something close to that) and is still reproducible on all my machines

Comment 23 Michal Hlavinka 2012-10-17 12:59:02 UTC
(In reply to comment #20)
> Does this still happen with 4.9.x?

Yes, I can still reproduce it in F18.

Comment 24 Fedora End Of Life 2013-04-03 20:17:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 25 ZiN 2013-05-16 13:03:06 UTC
Still there.

Comment 26 Rex Dieter 2013-11-06 19:06:09 UTC
Found a kdmrc config combination that works around this problem for me (tested on f17, f19, f20 so far):

GrabInput=Always
GrabServer=false

Comment 27 Armands Liepins 2013-11-06 20:10:39 UTC
Works here too. F19.

Comment 28 Fedora Update System 2013-11-07 20:23:38 UTC
kde-settings-19-25.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kde-settings-19-25.fc19

Comment 29 Fedora Update System 2013-11-08 12:59:27 UTC
kde-settings-20-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kde-settings-20-6.fc20

Comment 30 Fedora Update System 2013-11-08 18:39:35 UTC
Package kde-settings-20-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-settings-20-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20946/kde-settings-20-6.fc20
then log in and leave karma (feedback).

Comment 31 Fedora Update System 2013-11-11 02:35:29 UTC
kde-settings-19-26.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2013-11-13 01:59:28 UTC
kde-settings-20-7.fc20, heisenbug-kde-theme-19.90.5-1.fc20, sddm-0.2.0-0.16.20130914git50ca5b20.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 33 Rex Dieter 2014-06-23 11:42:24 UTC
*** Bug 731936 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.